package com.example.coil_image_f21

/*
    this app is a simple demo of the Coil library
    for loading an image from the Internet
    https://medium.com/android-news/taking-a-look-at-coil-217e1f02ef5e

    edit the AndroidManifest to give permission to
    access the Internet

    <uses-permission android:name="android.permission.INTERNET" />

    Also add the following attribute
    android:usesCleartextTraffic="true"
    to the application tag in order to access files
    with URLs starting with http: rather than https

    edit the build.gradle (Module) to let Android
    recognize Coil
    implementation("io.coil-kt:coil:0.9.1")
*/

import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.widget.ImageView
import coil.api.load
import coil.transform.CircleCropTransformation
import coil.transform.RoundedCornersTransformation

class MainActivity : AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        val ivGris = findViewById<ImageView>(R.id.ivGris)
        var url = "https://upload.wikimedia.org/wikipedia/commons/thumb/3/34/Juan_Legua_MET_DT4462.jpg/800px-Juan_Legua_MET_DT4462.jpg"
        ivGris.load(url)

        val ivGris2 = findViewById<ImageView>(R.id.ivGris2)
        var url2 = "http://www1.lasalle.edu/~blum/c349wks/Harlequin_Juan_Gris.jpg"
        ivGris2.load(url2) {
            crossfade(true)
            placeholder(R.drawable.ic_launcher_background)
            transformations(RoundedCornersTransformation(32f))
        }
    }
}